/* All screen sizes */

/****************************************
* Root variables
****************************************/

:root {
  --fni-font-1: 'Merriweather Sans';
  --fni-font-2: 'Saira Stencil One';
  --fni-font-3: 'Squada One';

  --fni-color-1: #D1172B;
  --fni-color-2: #0295d4;
  --fni-color-3: #77787b;
  --fni-color-4: #01638d;

  --fni-nav-toggle-color: #000000;
}

/****************************************
* Typography
****************************************/

h1 {
  font: normal 700 30px/1em var(--fni-font-2);
  text-shadow: 2px 2px 1.5px rgba(0, 0, 0, 0.9);
  color: #FFFFFF;
  text-transform: uppercase;
}

h2,
.image-wrapper p {
  font: normal bold 34px/1em var(--fni-font-3);
  color: var(--fni-color-1);
  text-transform: uppercase;
}

h3, legend {
  font: normal 600 20px/1em var(--fni-font-3);
  color: var(--fni-color-3);
}

.content h2 {
  font: normal 300 18px/1.5em var(--fni-font-1);
  color: var(--fni-color-3);
  text-transform: none;
  border-bottom: 1px solid rgba(0,0,0,.1);
  padding-bottom: 2rem;
  margin-bottom: 2rem;
}

.content h3,
.image-wrapper.banner p {
  font-size: 26px;
  color: var(--fni-color-1);
}

h4 {
  font: normal bold 24px/1em var(--fni-font-3);
  color: var(--fni-color-1);
}

p,
a,
li,
label,
.testimonials p {
  font: normal 300 16px/1.5em var(--fni-font-1);
  color: #000000;
}

a {
  color: var(--fni-color-2);
  text-decoration: none;
  font-weight: bold;
}

a:focus,
a:hover {
  color: var(--fni-color-4);
}

a:not(.button).active {
  color: var(--fni-color-2);
}

hr {
  border-top: 1px solid rgba(0,0,0,.1);
}

h3 + h3,
h4 + .grid,
p + h2,
p + h3,
p + form,
p + .button,
p + .video,
ul + h2,
ul + h3,
ul + .button,
ol + h2,
ol + h3,
img + h2,
img + h3,
blockquote + h2,
blockquote + h3,
blockquote + p,
blockquote + ul,
blockquote + ol,
blockquote + img,
details + h2,
details + h3,
details + p,
details + ul,
details + ol,
details + img,
.button + h2,
.button + h3,
.flex + .video,
.video + h2,
.video + h3,
.video + .video {
  margin-top: 2rem;
}

h1 + h2,
h1 + p,
h1 + ul,
h1 + ol,
h1 + form,
h2 + h3,
h2 + p,
h2 + ul,
h2 + ol,
h2 + img,
h2 + form,
h2 + blockquote,
h2 + details,
h2 + .button,
h2 + .video,
h2 + .grid,
h3 + p,
h3 + ul,
h3 + ol,
h3 + img,
h3 + form,
h3 + blockquote,
h3 + details,
h3 + .button,
h3 + .video,
h3 + .grid,
p + p,
p + ul,
p + ol,
p + img,
p + blockquote,
p + details,
p + .flex,
img + p,
img + img,
.button + .button,
.grid + label,
.grid + .grid,
.grid + .button,
.flex + p,
.flex + .flex {
  margin-top: 1rem;
}

li + li {
  margin-top: .5rem;
}

.inline {
  display: inline-block;
  width: auto;
}

body {
  background: #FFFFFF url('/images/layout/bg_main.jpg') repeat-y;
  background-size: cover;
}

/****************************************
* Buttons
****************************************/

.button {
  background-image: linear-gradient(-5deg, #01638d, #0295d4, #01638d);
  border-radius: 4px;
  padding: 1rem 1.5rem;
  font: normal bold 20px/1em var(--fni-font-3);
  text-transform: uppercase;
  letter-spacing: 1px;
}

.button.active,
.button:focus,
.button:hover,
.button:disabled {
  background-image: linear-gradient(-5deg, #01638d, #01638d, #01638d);
  color: #ffffff;
}

/****************************************
* Accents
****************************************/

.accent {
  background-color: #e2e2e2;
}

.accent-1 {
  background: #000000 url('/images/layout/bg_footer.png');
}

.accent-1 h3 {
  color: #D2D2D2;
}

/****************************************
* Header
****************************************/

header {
  position: relative;
  background-image: linear-gradient(-5deg, #aeaeae, #ffffff, #aeaeae);
}

header .flex {
  flex-direction: column;
}

header .logo {
  margin: 0 auto;
}

header .logo img {
  max-width: 200px;
}

/****************************************
* Navigation
****************************************/

.nav-toggle {
  top: 14px;
  right: 1rem;
}

nav {
  width: 100%;
  max-height: 0;
  padding: 0 1rem;
  overflow: hidden;
  transition: max-height .4s ease-in;
}

nav.on {
  max-height: 100vh;
}

nav ul {
  margin: 0 0 2rem 0;
}

nav li {
  display: flex;
  justify-content: center;
  position: relative;
  margin: 0;
}

nav a {
  width: 100%;
  padding: .75rem 0;
  font: normal 600 27px/1em var(--fni-font-3);
  text-transform: uppercase;
  text-align: center;
  letter-spacing: .5px;
  color: rgba(0,0,0,0);
  text-shadow:.05em .05em .05em rgba(255,255,255,.25), 0 0 0 hsl(0,0%,19%);
}

nav a:hover {
  color: rgba(0,0,0,0);
  text-shadow:.05em .05em .05em rgba(255,255,255,.25), 0 0 0 hsl(198,9813%,41.96%);
}

nav li + li::before {
  content: '';
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  background-color: rgba(0, 0, 0, .2);
  width: 50px;
  height: 1px;
}

nav li:last-of-type::before {
  display: none;
}

nav .button {
  display: inline-block;
  width: auto;
  font-size: 27px;
  margin: 1rem 0;
}

/****************************************
* Billboard
****************************************/

.billboard {
  background-color: #efefef;
}

.billboard-inside {
  background-image: linear-gradient(-5deg, #a50012, #D1172B, #a50012);
}

.billboard,
.billboard .slip-n-slide {
  height: 300px;
}

.billboard #billboard-slider .slide {
  visibility: hidden;
}

.billboard .slide {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.billboard .content {
  margin: 0 auto;
  width: 90%;
  max-width: 320px;
  text-align: center;
  background-color: rgba(0,0,0,.6);
  padding: 1rem;
}

.billboard h1 {
  font-size: 40px;
}

.billboard p {
  color: #D2D2D2;
  font-size: 16px;
}

.billboard a {
  display: inline-block;
}

.billboard .content p + .button {
  margin-top: 1rem;
}

/****************************************
* Forms
****************************************/

select[data-placeholder] {
  color: #9A9A9A;
  font-style: italic;
}

textarea {
  min-height: 300px;
}

legend {
  margin-bottom: .5rem;
}

/****************************************
* Image Wrapper
****************************************/

.image-wrapper {
  position: relative;
}

.image-wrapper img {
  width: 100%;
  height: auto;
  object-fit: cover;
}

.image-wrapper img + p {
  margin: 0;
}

.image-wrapper p {
  position: absolute;
  top: 2%;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  padding: .5rem;
  text-align: center;
  color: #000000;
}

.image-wrapper.banner p {
  background-color: rgba(0, 0, 0, .7);
  color: #ffffff;
  top: 0;
}

.banner.banner-bottom p {
  top: unset;
  bottom: 0;
}

/****************************************
* Industries
****************************************/

.industry {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  box-shadow: inset 0 0 4px 0 rgba(0, 0, 0, .5);
  min-height: 300px;
}

.industry .flex {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  grid-gap: 0;
}

.industry .padding {
  padding-left: 0;
	padding-right: 0;
}

.industry .flex div:first-of-type {
  flex: 0 1 50%;
  order: 0;
}

.industry h2 {
  font: normal 700 40px/1em var(--fni-font-2);
  text-align: center;
  text-shadow: 2px 2px 1.5px rgba(0, 0, 0, 0.9);
  color: #ffffff;
}

.industry p {
  color: #ffffff;
}

.industry .card {
  margin: 2rem;
  border-radius: 0;
  background-color: rgba(156, 0, 18, 0.4);
  max-width: 700px;
  width: auto;
  padding: .25rem;
}

.card .wrapper {
  background-color: rgba(156, 0, 18, 0.75);
  border: 2px solid #ccc8c8;
  width: 100%;
  padding: 2rem;
}

/****************************************
* Testimonial
****************************************/

.testimonials {
  background: var(--fni-color-1) url("/images/layout/bg_testimonials.png") repeat;
  max-width: none;
  overflow-y: hidden;
}

.testimonials > div {
  position: relative;
  margin: 0 auto;
  max-width: 1000px;
  height: 400px;
  overflow: unset;
}

.testimonials svg {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  width: 300px;
  height: auto;
  fill: var(--fni-color-1);
}

.testimonials p {
  color: #FFFFFF;
}

.testimonials .author {
  margin: 1rem auto 0 auto;
  font-size: 12px;
  text-transform: uppercase;
  font-weight: bold;
  line-height: 2em;
  letter-spacing: 3px;
  color: #bdbbbb;
}

/****************************************
* Flip cards
****************************************/

.flip-card {
  position: relative;
  border: 1px solid #efefef;
  width: 100%;
  padding-top: 0;
  perspective: 1000px;
  transform-style: preserve-3d;
}

.flip-card.flip-front, .flip-card:hover .flip-card-back {
  transform: rotateY(0deg);
}

.flip-card.flip-back, .flip-card:hover .flip-card-front {
  transform: rotateY(180deg);
}

.flip-card-inner {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  position: relative;
  transition: 0.6s;
  transform-style: preserve-3d;
}

.flip-card-front .image-wrapper p {
  text-align: left;
  padding: 1rem;
}

.flip-card-front .chevron-arrow {
  position: absolute;
  bottom: 1rem;
  right: 1.5rem;
}

.flip-card-front .chevron-arrow,
.flip-card-front .chevron-arrow svg {
  width: 30px;
  height: 30px;
}

.flip-card-front .chevron-arrow svg {
  fill: var(--fni-color-2);
}

/* hide back of pane during swap */

.flip-card-front, .flip-card-back {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  transition: 0.6s;
  transform-style: preserve-3d;
}

/* front pane, placed above back */

.flip-card-front {
  position: relative;
  background-color: #dbdbdb;
  background-size: 100%;
  background-repeat: no-repeat;
  width: 100%;
  /* for firefox 31 */
  transform: rotateY(0deg);
  z-index: 2;
}

/* back, initially hidden pane */

.flip-card-back {
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-color: #494949;
  padding: 2rem;
  color: #ffffff;
  transform: rotateY(-180deg);
}

@media(min-width: 1600px) {
  .flip-card-back {
    padding: 4rem;
  }
}

.flip-card-back p {
  font-size: 14px;
  font-style: italic;
  color: #ffffff;
}

.flip-card-back ul {
  margin: 1rem 0 0 0;
}

.flip-card-back li {
  color: #ffffff;
  margin: 0 .5rem 0 1.5rem;
}

/****************************************
* Form submit complete section with check mark
****************************************/

.checkmark-1 {
  display: block;
  margin: 2rem auto;
  border-radius: 50%;
  box-shadow: inset 0px 0px 0px #4CAF50;
  width: 88px;
  height: 88px;
  stroke-width: 2;
  stroke: #ffffff;
  stroke-miterlimit: 10;
  animation: fill .4s ease-in-out .4s forwards, scale .3s ease-in-out .9s both;
}

.checkmark-1 circle {
  stroke-dasharray: 166;
  stroke-dashoffset: 166;
  stroke-width: 2;
  stroke-miterlimit: 10;
  stroke: #4CAF50;
  fill: none;
  animation: stroke 0.6s cubic-bezier(0.65, 0, 0.45, 1) forwards;
}

.checkmark-1 path {
  stroke-dasharray: 48;
  stroke-dashoffset: 48;
  transform-origin: 50% 50%;
  animation: stroke 0.3s cubic-bezier(0.65, 0, 0.45, 1) 0.8s forwards;
}

@keyframes stroke {
  100% {
    stroke-dashoffset: 0
  }
}

@keyframes scale {
  0%, 100% {
    transform: none;
  }
  50% {
    transform: scale3d(1.1, 1.1, 1);
  }
}

@keyframes fill {
  100% {
    box-shadow: inset 0px 0px 0px 100px #4CAF50;
  }
}

/****************************************
* JS column
****************************************/

.js-column div + div {
  margin-top: 2rem;
}

.js-column h2 + p {
  margin-top: 1rem;
}

/****************************************
* Footer
****************************************/

footer {
  background: #000000 url('/images/layout/bg_footer.png');
}

footer hr {
  border-top: 4px dotted rgba(255, 255, 255, .2);
  margin: .6rem 0;
}

footer .leave-review {
  display: flex;
  flex-direction: row;
  gap: 1rem;
}

footer .icon {
  height: 25px;
}

footer .icon svg {
  width: 25px;
  height: 25px;
  fill: var(--fni-color-2);
}

footer .icon svg:hover {
  fill: var(--fni-color-4);
}

footer h3{
  color: rgba(255,255,255,.4);
  text-align: center;
  font-size: 40px;
  text-transform: uppercase;
}

footer p {
  margin-bottom: 0;
  color: #D2D2D2;
}

footer a {
  margin-bottom: 0;
}

footer .break-bullet::before {
  content: '';
  display: block;
}

/****************************************
* Attribution
****************************************/

.attribution {
  background-color: rgba(0, 0, 0, 0.6);
  padding: .5rem .5rem calc(.5rem + env(safe-area-inset-bottom));
}

.attribution p,
.attribution a {
  margin: 0;
  font-size: 12px;
  color: #ffffff;
}

.attribution a {
  font-weight: normal;
  text-transform: none;
}

/****************************************
* Additional boilerplate classes
****************************************/

.padding-1 {
  padding: 1rem;
}

@media(min-width: 1800px) {
  .padding-2--superwide {
    padding: 2rem;
  }
}

@media(min-width: 1800px) {
  .gap-2--superwide {
    gap: 2rem;
  }
}